# Copyright 2020 Google LLC. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
- release_tracks: [GA]

  help_text:
    brief: Update a workload identity pool.
    description: Update a workload identity pool.
    examples: |
      The following command updates the workload identity pool with the ID
      ``my-workload-identity-pool'':

        $ {command} my-workload-identity-pool \
            --location="global"
            --display-name="My workload pool" \
            --description="My workload pool description" \
            --disabled

  request:
    collection: iam.projects.locations.workloadIdentityPools
    method: patch

  arguments:
    resource:
      help_text: The workload identity pool to update.
      spec: !REF googlecloudsdk.command_lib.iam.resources:workload_identity_pool
      is_positional: true

    params:
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.display_name
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.description
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.disabled
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.session_duration
      hidden: true
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.enable_mesh_ca_compatibility
      hidden: true
    - group:
        mutex: true
        params:
        - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.inline_certificate_issuance_config_file
        - group:
            params:
            - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.key_algorithm
            - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.certificate_lifetime
            - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.rotation_window_percentage
            - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.use_default_shared_ca
              hidden: true
    - group:
        mutex: true
        params:
        - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.inline_trust_config_file

# ALPHA and BETA release track should not be updated going forward. All preview features should be
# added to the GA release track and marked as hidden.
- release_tracks: [ALPHA, BETA]

  help_text:
    brief: Update a workload identity pool.
    description: Update a workload identity pool.
    examples: |
      The following command updates the workload identity pool with the ID
      ``my-workload-identity-pool'':

        $ {command} my-workload-identity-pool \
            --location="global"
            --display-name="My workload pool" \
            --description="My workload pool description" \
            --disabled

  request:
    collection: iam.projects.locations.workloadIdentityPools
    method: patch
    api_version: v1beta

  arguments:
    resource:
      help_text: The workload identity pool to update.
      spec: !REF googlecloudsdk.command_lib.iam.resources:workload_identity_pool
      is_positional: true

    params:
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.display_name
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.description
    - _REF_: googlecloudsdk.command_lib.iam.flags:workload_identity_pool.disabled
